
Katello - Bug #4771

Can not create an org from the hammer cli with katello installed

03/21/2014 03:23 PM - Bryan Kearney

Status: Resolved   

Priority: Urgent   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This works with foreman only. If I have organizations and locations enabled, and I attempt to create a new organization from the

command line I get this exception:

Authorized user admin(Admin User)

Setting current user thread-local variable to admin

undefined method `[]' for nil:NilClass (NoMethodError)

/home/bkearney/code/foreman/app/controllers/concerns/api/v2/taxonomies_controller.rb:75:in `params_match_database'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:465:in `block (3 levels) in run

_4432940702375954945__process_action__3376241072608851893__callbacks'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_8383'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:326:in `around'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:310:in

`_callback_around_2711'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_8383'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:449:in `block (2 levels) in _run

_4432940702375954945__process_action__3376241072608851893__callbacks'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_8382'

/home/bkearney/code/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_8382'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:404:in `block in _run

_4432940702375954945__process_action__3376241072608851893__callbacks'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_8381'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:326:in `around'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:310:in `_callback_around_13'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_8381'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:403:in `_run

_4432940702375954945__process_action__3376241072608851893__callbacks'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:405:in `__run_callback'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:385:in

`_run_process_action_callbacks'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:81:in `run_callbacks'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/abstract_controller/callbacks.rb:17:in `process_action'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_controller/metal/rescue.rb:29:in `process_action'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_controller/metal/instrumentation.rb:30:in `block in

process_action'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/notifications.rb:123:in `block in instrument'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/notifications/instrumenter.rb:20:in

`instrument'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activesupport-3.2.17/lib/active_support/notifications.rb:123:in `instrument'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_controller/metal/instrumentation.rb:29:in

05/17/2024 1/2



`process_action'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_controller/metal/params_wrapper.rb:207:in

`process_action'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/activerecord-3.2.17/lib/active_record/railties/controller_runtime.rb:18:in

`process_action'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/abstract_controller/base.rb:121:in `process'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/abstract_controller/rendering.rb:45:in `process'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_controller/metal.rb:203:in `dispatch'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_controller/metal.rb:246:in `block in action'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_dispatch/routing/route_set.rb:73:in `call'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_dispatch/routing/route_set.rb:36:in `call'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/actionpack-3.2.17/lib/action_dispatch/routing/mapper.rb:43:in `call'

/home/bkearney/.rvm/gems/ruby-1.9.3-p484/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

History

#1 - 03/21/2014 06:21 PM - Thomas McKay

- Status changed from New to Resolved

- Triaged set to No

apipie-bindings 0.0.6 fixes this

#2 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/22/2014 08:03 AM - Eric Helms

- translation missing: en.field_release set to 13
